Get lead with mobile code
curl --request POST \
--url https://apigw.bienport.com/api/lead/page/{pageNo} \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "5555555550",
"mobileAppId": "1231-4654-6564-3450-55"
}
'import requests
url = "https://apigw.bienport.com/api/lead/page/{pageNo}"
payload = {
"phoneNumber": "5555555550",
"mobileAppId": "1231-4654-6564-3450-55"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumber: '5555555550', mobileAppId: '1231-4654-6564-3450-55'})
};
fetch('https://apigw.bienport.com/api/lead/page/{pageNo}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 89839,
"totalPages": 1,
"href": "FN-3***",
"totalItems": 1,
"creationDate": "2020-07-06T00:00:00.000Z",
"currentPage": 1,
"description": "****",
"leads": "<array>",
"name": "KAMER T****",
"rating": 50,
"referredDate": "2020-07-06T00:00:00.000Z",
"category": {
"id": 123,
"name": "Alarm"
},
"marketSegment": {
"id": 1,
"name": "Alarm"
},
"prospectContact": [
{
"characteristic": {
"phoneNumber": "5XXXXXXXXXX (phoneNumber must be 10 characters. phoneNumber must not be start 0.)",
"city": "İstanbul",
"mobileAppId": "1231-4654-6564-6498-99",
"subscriptionId": "551",
"panelNo": "EA-560"
}
}
],
"relatedParty": [
{
"name": "<string>",
"id": "456789"
}
],
"status": "Randevu Alındı"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}Get lead with mobile code
customerId, phoneNumber and mobileAppId are optional. But there must be exist at least one of them.
POST
/
lead
/
page
/
{pageNo}
Get lead with mobile code
Path Parameters
pageNo
Body
application/json
getLeadRequest
Response
Get leads Success.
Response Model for get lead
Example:
89839
Example:
1
Example:
"FN-3***"
Example:
1
Example:
"2020-07-06T00:00:00.000Z"
Example:
1
Example:
"****"
Example:
"KAMER T****"
Example:
50
Example:
"2020-07-06T00:00:00.000Z"
Category for get lead
Show child attributes
Show child attributes
MarketSegment for get lead
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"Randevu Alındı"
Was this page helpful?
⌘I